Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.ling
Interface HasTag

All Known Implementing Classes:
  CategoryWordTag, CoreLabel, CyclicCoreLabel, TaggedWord, WordLemmaTag, WordTag

    public interface HasTag

Something that implements the `HasTag` interface knows about part-of-speech tags.

Author:
  Christopher Manning

Method Summary
`void` | `setTag(String tag)` Set the tag value for the label (if one is stored).
`String` | `tag()` Return the tag value of the label (or null if none).

Method Detail

### tag

    String tag()

  Return the tag value of the label (or null if none).

  Returns:
    String the tag value for the label

### setTag

    void setTag(String tag)

  Set the tag value for the label (if one is stored).

  Parameters:
    `tag` - The tag value for the label

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group